Package org.eclipse.mat.parser.internal.snapshot

## Class ObjectMarker.DfsThread

- java.lang.Object
- - org.eclipse.mat.parser.internal.snapshot.ObjectMarker.DfsThread

All Implemented Interfaces:
  `java.lang.Runnable`

Direct Known Subclasses:
  `ObjectMarker.LocalDfsThread`

Enclosing class:
  ObjectMarker

    public class ObjectMarker.DfsThread
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
`DfsThread​(IntStack roots)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DfsThread

    public DfsThread​(IntStack roots)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`